%% FUNCIÓN TRANSMISIÓN FBMC
%<TX_FBMC>

%PARÁMETROS DE RETORNO:
%txSimb: Vector a TX FBMC hasta IFFT
%bGIzqFBMC: Banda de guarda izquierda
%bGDerFBMC: Banda de guarda derecha
%Hk: Coeficientes filtro PHYDYAS

%PARÁMETROS DE INGRESO:
%parametros: Estructura con parámetros de simulación
%ind: Valor del índice en ciclo iterativo

function [txSimb,bGIzqFBMC,bGDerFBMC, Hk]= TX_FBMC(parametros,ind)

    % disp('Llamado a función generación de respuesta señal transmitida FBMC')
    % Generación Datos
    datos=generacionDatos(2*(parametros.numSub-1)/2);%Equivale a bitsPorSubportadora*Subportadoras/2. Se ajusta Subportadoras al par entero anterior para facilitar cálculo de modulación QPSK
                 
    % Modulación QPSK
    datosQPSK=modQPSK(datos);
                     
    % Modulación OQAM
    datosOQAM=modOQAM(datosQPSK,ind,parametros);
        
    %Filtro NK. Incluye sobremuestreo de K muestras,inclusión de bandas de guarda y filtrado
    [X,bGIzqFBMC,bGDerFBMC, Hk]=filtroNK(datosOQAM,parametros); 
        
    % Cálculo IFFT
    txSimb=fftshift(ifft(X));%Símbolo tras ejecutar IFFT. Se ejecuta de forma diferente a lo hecho en la OFDM
        
end

